import {
    ApiModel
} from "../../utils/api"
const _Http = new ApiModel();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        recommendationList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        //供需详情
        _Http.basic({
            "classname": "publicmethod.homepage.homepage",
            "method": "query_supplyanddemandMain",
            "content": {
                "tsupplyanddemandid": options.tsupplyanddemandid,
                "tagentsid": options.tagentsid
            }
        }).then(res => {
            res.data[0].checkdate = res.data[0].checkdate.slice(0, res.data[0].checkdate.lastIndexOf('.'));
            this.setData({
                particulars: res.data[0]
            })
        });
        //门户供需列表
        _Http.basic({
            "classname": "publicmethod.homepage.homepage",
            "method": "query_supplyanddemandList",
            "content": {
                "getdatafromdbanyway": true,
                "pageNumber": 1,
                "pageSize": 8,
                "siteid": "BWJ",
                "where": {
                    "ftype": ""
                }
            }
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            for (let i = 0; i < res.data.length; i++) {
                res.data[i].checkdate = res.data[i].checkdate.slice(0, res.data[i].checkdate.lastIndexOf('.'));
            }
            this.setData({
                recommendationList: res.data
            })
        })
    },
    jumpForDetails(e) {
        const {
            index
        } = e.currentTarget.dataset;
        const data = this.data.recommendationList[index];
        wx.navigateTo({
            url: './details?tagentsid=' + data.tagentsid + '&tsupplyanddemandid=' + data.tsupplyanddemandid,
        })
    },
    callOut(e){
        const {fphonenumber} = e.currentTarget.dataset.item;
        wx.makePhoneCall({
            phoneNumber:fphonenumber
        }).catch((e) => {})
    },
    /* 一键联系 */
    toLinkUp(e) {
        const {
            tsupplyanddemandid,
            tenterprise_userid
        } = e.currentTarget.dataset.item;
        if (tenterprise_userid == wx.getStorageSync('userData').userid) return;
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.supplyanddemand.supplyanddemand",
            "method": "OpenImDialog",
            "content": {
                "tsupplyanddemandid": tsupplyanddemandid
            }
        }).then(res => {
            if (res.msg != '成功') {
                wx.navigateTo({
                  url: '/pages/login/index',
                })
                wx.showToast({
                    title: "当前还未登录，请登录后联系",
                    icon: "none"
                })
            } else {
                getApp().initSocket()
                wx.navigateTo({
                    url: '/pages/chatRoom/dialogbox?id=' + res.data[0].timdialogid,
                })
            }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})